osmium::UndirectedSegment Class Reference

`#include <undirected_segment.hpp>`

Inheritance diagram for osmium::UndirectedSegment:
[legend]
Collaboration diagram for osmium::UndirectedSegment:
[legend]

## Public Member Functions

| UndirectedSegment (const osmium::Location &location1, const osmium::Location &location2)
| UndirectedSegment (const UndirectedSegment &)=default
| UndirectedSegment (UndirectedSegment &&)=default
UndirectedSegment & | operator= (const UndirectedSegment &)=default
UndirectedSegment & | operator= (UndirectedSegment &&)=default
| ~UndirectedSegment ()=default
Public Member Functions inherited from osmium::Segment
constexpr | Segment (const osmium::Location &location1, const osmium::Location &location2) noexcept
constexpr | Segment (const Segment &)=default
constexpr | Segment (Segment &&)=default
Segment & | operator= (const Segment &)=default
Segment & | operator= (Segment &&)=default
| ~Segment ()=default
constexpr osmium::Location | first () const noexcept
| Return first Location of Segment. More...
constexpr osmium::Location | second () const noexcept
| Return second Location of Segment. More...

## Additional Inherited Members

Protected Member Functions inherited from osmium::Segment
void | swap_locations ()

## Detailed Description

Undirected connection between two Locations. The first Location is always equal or "smaller" than the second Location, ie to the left and down.

## Constructor & Destructor Documentation

osmium::UndirectedSegment::UndirectedSegment | ( | const osmium::Location & | location1,
|  | const osmium::Location & | location2
| ) |  |

inline explicit

osmium::UndirectedSegment::UndirectedSegment | ( | const UndirectedSegment & |  | ) |

default

osmium::UndirectedSegment::UndirectedSegment | ( | UndirectedSegment && |  | ) |

default

osmium::UndirectedSegment::~UndirectedSegment | ( |  | ) |

default

## Member Function Documentation

UndirectedSegment& osmium::UndirectedSegment::operator= | ( | const UndirectedSegment & |  | ) |

default

UndirectedSegment& osmium::UndirectedSegment::operator= | ( | UndirectedSegment && |  | ) |

default

The documentation for this class was generated from the following file:

- osmium/osm/undirected_segment.hpp